<?php

// Routes for testerlite.

// Guard routes for test
Route::prefix('{guard}/testerlite')->group(function () {
    Route::get('test/report', TestReportController::class);
    Route::post('test/action', TestActionController::class);
    Route::put('test/workflow/{test}/{step}', 'TestWorkflowController@putWorkflow');
    Route::get('test/workflow/{test}/{step}/{user}', 'TestWorkflowController@getWorkflow');
    Route::resource('test', 'TestResourceController');
});



// Public routes for testerlite
Route::get('testerlites/', 'TesterlitePublicController@index');
Route::get('testerlite/{slug?}', 'TesterlitePublicController@show');
